#!/usr/bin/env python
# -*- coding: utf-8 -*-
#*****************************************************************************
#       Copyright (C) 2006 Serge Weinstock <sweinst@ukonline.co.uk>
#  Distributed under the terms of the BSD License.  The full license is in
#  the file COPYING, distributed as part of this software.
#*****************************************************************************
import os
from kdedistutils.kdedistutils import setup
from glob import glob
from src import release

# Call the setup() routine which does most of the work
setup(
    name               = release.name,
    version            = release.version,
    description        = release.description,
    long_description   = release.long_description,
    author             = release.authors['Serge'][0],
    author_email       = release.authors['Serge'][2],
    url                = release.url,
    download_url       = release.download_url,
    license            = release.license,
    platforms          = release.platforms,
    keywords           = release.keywords,

    min_kde_version    = "3.0.0",
    min_qt_version     = "3.0.0",

    application_data = [ ('', [f for f in glob('src/*.py') if f != 'src/__init__.py']), ('xdg', glob('src/xdg/*.py'))],
    executable_links = [('kfilemanagerutils','kfilemanagerutils.py')],
    service_menus = glob('Desktop/*.desktop'),
    i18n = ('po',['src']),
    #docbooks = [ ('doc/en','en') ],
    )
